## com.thingmagic
Class Gen2.NXP.AES.Tam1Authentication

    java.lang.Object
      com.thingmagic.Gen2.NXP.AES.Tam1Authentication

Direct Known Subclasses:
  Gen2.NXP.AES.Tam2Authentication

Enclosing class:
  Gen2.NXP.AES

    public static class Gen2.NXP.AES.Tam1Authentication

extends java.lang.Object

TAM1 authentication

Field Summary
`byte` `authentication` authentication fields
`byte` `csi` authentication fields
`byte[]` `ichallenge`
`byte` `ichallengeLength`
`byte[]` `key`
`byte` `keyId` authentication fields
`byte` `keyLength`

Constructor Summary
`Gen2.NXP.AES.Tam1Authentication(Gen2.NXP.AES.KeyId keyId, byte[] key, byte[] ichallenge, boolean enableRawData)` Constructor to initialize authentication parameters

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### authentication

    public byte authentication

  authentication fields

### csi

    public byte csi

  authentication fields

### keyId

    public byte keyId

  authentication fields

### keyLength

    public byte keyLength

### key

    public byte[] key

### ichallengeLength

    public byte ichallengeLength

### ichallenge

    public byte[] ichallenge

Constructor Detail

### Gen2.NXP.AES.Tam1Authentication

    public Gen2.NXP.AES.Tam1Authentication(Gen2.NXP.AES.KeyId keyId,
                                           byte[] key,
                                           byte[] ichallenge,
                                           boolean enableRawData)

  Constructor to initialize authentication parameters

  Parameters:
    `keyId` - KeyID to identify the encryption key
    `key` - The common secret key K is stored in the IC
    `ichallenge` - 80-bit random value generated by the Interrogator
    `enableRawData` - enable or disable raw data filed

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Human-readable representation